/**
 * Tencent is pleased to support the open source community by making Polaris available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the BSD 3-Clause License (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * https://opensource.org/licenses/BSD-3-Clause
 *
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */

package store

// InstanceArgs 用于通过服务实例查询服务的参数
type InstanceArgs struct {
	Hosts []string
	Ports []uint32
}

// IsWildName 判断名字是否为通配名字，只支持前缀索引(名字最后为*)
func IsWildName(name string) bool {
	length := len(name)
	return length >= 1 && name[length-1:length] == "*"
}
